ChartDirector Ver 5.0 (PHP Edition)

LinearMeter.setMeter

Usage

setMeter(leftX, topY, width, height [, axisPos [, isReversed ]])

Description

Sets the orientation and position of the meter plot area.
The plot area is a rectangular region of the linear meter. The meter scale (the labels showing the values) will be on one external side of the plot area (say on the left side). The pointer start on the opposite side and points towards the meter scale.
This method defines the position and size of the rectangular region, as well as which side the meter scale is on. If the scale is on the left or right side, the meter is assumed to be a horizontal linear meter. If the scale is on the top or bottom side, the meter is assumed to be a vertical linear meter.

Arguments

Argument | Default | Description
--- | --- | ---
leftX | (Mandatory) | The x-coordinate of the top-left corner of the meter plot area.
topY | (Mandatory) | The y-coordinate of the top-left corner of the meter plot area.
width | (Mandatory) | The horizontal width of the meter plot area.
height | (Mandatory) | The vertical height of the meter plot area.
axisPos | Left | The position of the meter scale. The scale should be on one of the 4 sides of the plot area border, specified by Left, Top, Right and Bottom.
isReversed | false (zero) | By default, if the meter is horizontal, the meter scale will run from left to right. If the meter is vertical, the meter scale will run from bottom to top. If this argument is set to true (non-zero), the meter scale will be reversed.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.